From 76acc9d6890e63c87155e9429f8cf00324e8d947 Mon Sep 17 00:00:00 2001
From: Jean-Baptiste Kempf <jb@videolan.org>
Date: Tue, 28 Apr 2020 22:48:08 +0200
Subject: [PATCH] dvdread: fix compilation with older version < 5.0.3

This is needed for Debian oldstable
---
 modules/access/dvdread.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/modules/access/dvdread.c b/modules/access/dvdread.c
index 442b3a0e49..6fab0d25e7 100644
--- a/modules/access/dvdread.c
+++ b/modules/access/dvdread.c
@@ -60,6 +60,11 @@
 #include <dvdread/nav_read.h>
 #include <dvdread/nav_print.h>
 
+#ifndef DVDREAD_VERSION_CODE
+# define DVDREAD_VERSION_CODE(major, minor, micro) (((major) * 10000) + ((minor) * 100) +  ((micro) * 1))
+# define DVDREAD_VERSION DVDREAD_VERSION_CODE(5,0,3)
+#endif
+
 #include <assert.h>
 #include <limits.h>
 
-- 
2.26.2

